body {
  background-color: #0a0a0a;
  width: 100vw;
  height: auto;
  margin: 0;
  overflow-x: hidden;
}

#intro {
  display: flex;
  justify-content: center;
  padding-top: 30px;
}
#intro img {
  width: 266px;
  height: auto;
}

#cards {
  width: 393px;
  margin: 0 auto;
  position: relative;
  height: 400px; /* 카드 4개 쌓인 전체 높이 */
  margin-top: 50px;
}

.card {
  width: 393px;
  height: 243px;
  border-radius: 30px;
  padding: 20px 30px;
  box-sizing: border-box;
  cursor: pointer;
  position: absolute;
  overflow: visible;
  display: flex;
  flex-direction: column;
  gap: 50px;
  transition: top 0.4s ease;
}

#behance   { background-color: #95D3FF; top: 0px;    z-index: 1; }
#webproject{ background-color: #D5FF63; top: 76px;   z-index: 2; }
#website   { background-color: #FFFFFF; top: 152px;  z-index: 3;   transition: top 0.4s ease, height 0.4s ease;
}
#contact   { background-color: #FF9BEE; top: 228px;  z-index: 4; height: auto; }

.email-row { position: relative; }
.email-svg { width: 100%; height: auto; display: block; }
.copy-svg {
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  width: 63px;
  height: 25px;
  cursor: pointer;
}



#webproject.open {
  height: 330px; /* 리스트 4개 다 들어오는 높이, 조절 가능 */
}
.project-list {
  display: none;
  flex-direction: column;
  gap: 3px;
  margin-top: -10px;
}
.project-list.open { display: flex; }

.project-item { position: relative; width: 100%; }
.project-item img:first-child { width: 100%; height: auto; display: block; }

.go-btn {
  position: absolute;
  right: 0px;
  top: 50%;
  transform: translateY(-50%);
  width: 63px;
  height: 25px;
  cursor: pointer;
}
.renewal-btn {
  position: absolute;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  width: 119px;
  height: 25px;
  cursor: pointer;
}




#website.open {
  height: 236px; /* 조절 필요 */
}

.website-content {
  display: none;
  position: relative;
  width: 100%;
}

.website-content.open {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}

.hehe-text {
  width: 182px;
  height: auto;
}

.hehe-img {
  width: 155px;
  height: auto;
  margin-top: -60px;
  margin-left: 20px;
}